package com.chenyang.nse.bussiness.entity.orm.table.core.api;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "api_info_log"
)
public class ApiInfoLog extends TBaseEntity {
   private String username;
   private String url;
   private Date calldatetime;
   private String apitype;
   @Column(
      length = 32
   )
   private String restatus;
   private String authorization;
   @Column(
      length = 512
   )
   private String remsg;
   private String apiinfoid;
   private Date createtime;
   private String cilentip;

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public Date getCalldatetime() {
      return this.calldatetime;
   }

   public void setCalldatetime(Date calldatetime) {
      this.calldatetime = calldatetime;
   }

   public String getApitype() {
      return this.apitype;
   }

   public void setApitype(String apitype) {
      this.apitype = apitype;
   }

   public String getRestatus() {
      return this.restatus;
   }

   public void setRestatus(String restatus) {
      this.restatus = restatus;
   }

   public String getAuthorization() {
      return this.authorization;
   }

   public void setAuthorization(String authorization) {
      this.authorization = authorization;
   }

   public String getRemsg() {
      return this.remsg;
   }

   public void setRemsg(String remsg) {
      this.remsg = remsg;
   }

   public String getApiinfoid() {
      return this.apiinfoid;
   }

   public void setApiinfoid(String apiinfoid) {
      this.apiinfoid = apiinfoid;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getUrl() {
      return this.url;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public String getCilentip() {
      return this.cilentip;
   }

   public void setCilentip(String cilentip) {
      this.cilentip = cilentip;
   }
}
